<?php 
session_start();
if (!$_SESSION['login']) {header("Location: index.php");}
if (!$_SESSION['admin']) {header("Location: menu-matriz.php");}
require_once('utilesphp/sql_oop.php'); //conexion a base de datos
include('utilesphp/utiles.php');
include('class/class.php');

if ($_GET['annoinventario']=="0" || !isset($_SESSION['fechainventario'])) {
	$_SESSION['fechainventario']=date('Y-m-d');
} else {
	if ($_GET['annoinventario']<>""){
		$_SESSION['fechainventario']=$_GET['annoinventario'].'-'.$_GET['mesinventario'].'-'.$_GET['diainventario'];
	}
}
$annoinventario=substr($_SESSION['fechainventario'],0,4);
$mesinventario=substr($_SESSION['fechainventario'],5,2);
$diainventario=substr($_SESSION['fechainventario'],8,2);
$fechainventario=$annoinventario.'-'.$mesinventario.'-'.$diainventario;
if (isset($_GET['modifica']) AND ($_GET['modifica']=='si') AND isset($_GET['Idproducto']) AND ($_GET['Idproducto']<>'')) {
	if (isset($_GET['campo']) AND ($_GET['campo']<>'') AND isset($_GET['value']) AND ($_GET['value']<>'')) {
		//$updt=$mysqli->query('UPDATE productos SET '.$_GET['campo'].'="'.$_GET['value'].'" WHERE Idproducto="'.$_GET['Idproducto'].'"');
		$informacion='Dato del producto '.$_GET['codigo'].' ha sido actualizado';
	}
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<link rel="stylesheet" type="text/css" href="css/estilos.css">
<title><?php echo $titulopagina; ?></title>
</head>
<script type="text/javascript" src="ajax/creaajax.js"> </script>
<script type="text/javascript" src="utilesjs/funciones.js" charset="iso-8859-1"> </script>
<script language="javascript">
function modificardato(Idproducto,codigo,name,campo,value) {
	if (newvalue=prompt('Por favor ingresa un(a) nuevo(a) '+name,value)) {
		grabando();
		location.href='tablas-productos.php?modifica=si&Idproducto='+Idproducto+'&codigo='+codigo+'&campo='+campo+'&value='+newvalue;
	} else {return;}
}
function modificarstock(Idproducto,codigo,name,stockactual) {
	if (stocknuevo=prompt('Por favor ingresa el stock actual de este producto',stockactual)) {
		grabando();
		location.href='funcionesphp/corrijestock.php?Idproducto='+Idproducto+'&stockactual='+stockactual+'&stocknuevo='+stocknuevo;
	} else {return;}
}
function calculartotal(){
	document.forms.formagrega.totalventa.value=parseInt(document.forms.formagrega.netoventa.value)+parseInt(document.forms.formagrega.impuestoventa.value);
}
function eliminarproducto(Idproducto) {
	cargando();
	ajax=objetoAjax();
   	ajax.open("POST","ajax/buscarcomandaporproducto.php" , true);
   	ajax.onreadystatechange= function() {
      if (ajax.readyState==4) {
		  if (ajax.responseText!='') {
				if (ajax.responseText=='si') { //Si existen comandas abiertas
					alert ('Hay comandas abiertas con este producto, no se puede eliminar.');
					document.getElementById('cargando').style.display='none';
					return;
				}
				if (ajax.responseText=='no') { //Si existen comandas abiertas
					if (confirm('Estas seguro de eliminar este producto y su receta?')) {
						location.href="funcionesphp/eliminarproducto.php?e=e&Idproducto="+Idproducto;
						return;
					}
					document.getElementById('cargando').style.display='none';
					return;
				}
		  }
	  }
  }
 	ajax.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
    ajax.send("Idproducto="+Idproducto);
}
</script>
<body>
<div class="div_cubierto" id="cubierto"></div>
<div class="div_cargando" id="cargando"></div>
<div align="center">
<div class="logo"><img src="grafica/logo.png" /></div>
<div class="btn_cerrar"><a href="salidausuario.php" title="salir del sistema"><img src="iconos/salir48.png" /></a></div>

<div class="div_caja_titulo">
	<span class="bold">Informe de inventario</span>
    <span class="iconos-holder"><a href="#" onclick="cargando(); location.href='menu-matriz.php'" class="n_link_basico" title="Volver al menu principal"><img src="iconos/home32.png" height="24"/></a></span>
    <span class="iconos-holder"><a href="#" onclick="window.print();" class="n_link_basico" title="Imprimir listado"><img src="iconos/imprimir32.png" height="24"/></a></span>    
</div>
<div class="centrar_tabla">
<form action="informe-inventario.php" method="get" name="filtrarcliente">
<span class="tipsprint">Se muestra el inventario con fecha <input type="text" name="diainventario" value="<?php echo $diainventario; ?>" class="superangosto"> / <input type="text" name="mesinventario" value="<?php echo $mesinventario; ?>" class="superangosto"> / <input type="text" name="annoinventario" value="<?php echo $annoinventario; ?>" class="angosto"><a href="#" onclick="cargando(); forms.filtrarcliente.submit();"><img src="iconos/buscar16.png" /></a></span><br /><span class="tips">El stock de sucursales es el registrado el dia anterior, m&aacute;s lo recibido de sucursal el dia consultado</span>
</form>
	<table>
    <thead>
	   	<tr>
        	<th>Codigo</th>
            <th>Stock Matriz</th>
<?php
$sucursales=$mysqli->query('SELECT * FROM sucursales WHERE Idsucursal<>"1" ORDER BY Idsucursal ASC');
$row_sucursales=$sucursales->fetch_array();
$lista_sucursales=array();
do {
?>
			<th><?php echo $row_sucursales['descripcion']; ?></th>
<?php
			array_push($lista_sucursales,$row_sucursales['Idsucursal']);
} while ($row_sucursales=$sucursales->fetch_array());

?>
            <th>Total</th>
            <th>Valorizaci&oacute;n</th>
        </tr>
     </thead>
     <tbody>
<?php
$totalinventario=0;
$productos=$mysqli->query('SELECT * FROM productos ORDER BY descripcion ASC');
$row=$productos->fetch_array();
if ($productos->num_rows==0) {
?>
	<tr><td colspan="12">No existen productos ingresados</td></tr>
<?php
} else { 
do {
$esteproducto = new producto($mysqli,$row['Idproducto']);
$stockcasamatriz=$esteproducto->stockcasamatriz($fechainventario);
$totalproducto=$stockcasamatriz;
?>
        <tr style="border-top:1px solid #999">
        	<td><?php echo $row['codigo']; ?></td>
            <td><?php echo $stockcasamatriz; ?></td>
<?php
foreach ($lista_sucursales as $sucursal) {
$esteproducto->stocksucursalayer($sucursal,$fechainventario);
	$despachos=$mysqli->query('SELECT t.fecha, td.Idproducto, t.Idsucursal, td.cantidad FROM traspasos t LEFT JOIN traspasos_detalle td ON t.Idtraspaso=td.Idtraspaso WHERE t.Idsucursal="'.$sucursal.'" AND td.Idproducto="'.$row['Idproducto'].'" AND t.fecha="'.$fechainventario.'"');
	$row_despachos=$despachos->fetch_array();
	$stockestasucursal=$esteproducto->stocksucursalayer+$row_despachos['cantidad'];
	$totalproducto+=$stockestasucursal;
?>
			<td><?php echo $stockestasucursal; ?></td>
<?php
}
?>
			<td><?php echo $totalproducto; ?></td>
            <td><?php echo '$ '.apesos($row['valorcompra']*$totalproducto); ?></td>
        </tr>
<?php
$totalinventario+=$row['valorcompra']*$totalproducto;
} while ($row=$productos->fetch_array());
?>
	   	<tr style="border-top:2px solid #999">
        	<td colspan="<?php echo 2+$sucursales->num_rows; ?>">&nbsp;</td>
            <td>Valor inventario</td>
            <td><?php echo '$ '.apesos($totalinventario); ?></td>
        </tr>
<?php
}
if ($despachos) {
    $despachos->free();
}
if ($sucursales) {
    $sucursales->free();
}
if ($productos) {
    $productos->free();
}
if ($valores) {
    $valores->free();
}
if ($categoria) {
    $categoria->free();
}
?>
	</tbody>
    </table>
    
</div>
</body>
</html>